/*
 * Copyright (C) 2022  Contributors as noted in the AUTHORS.md file
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.smederee.html

import com.comcast.ip4s.*
import de.smederee.html.LinkTools.createFullUri
import org.http4s.Uri
import org.http4s.implicits.*

import munit.*

final class LinkToolsTest extends ScalaCheckSuite {

    val externalUrlConfig = ExternalUrlConfiguration(
        host"proxy.example.com",
        Uri.fromString("sub-path/with/children").toOption,
        None,
        Uri.Scheme.https
    )

    test("createFullUri must create a corrent full Uri") {
        val uri     = uri"/another/path#fragment?parameter=value&another=one"
        val fullUri = externalUrlConfig.createFullUri(uri)
        assertEquals(
            fullUri.renderString,
            "https://proxy.example.com/sub-path/with/children/another/path#fragment?parameter=value&another=one"
        )
    }
}
