CREATE TABLE hub.forks
(
  original_repo BIGINT NOT NULL,
  forked_repo  BIGINT NOT NULL,
  CONSTRAINT forks_pk PRIMARY KEY (original_repo, forked_repo),
  CONSTRAINT forks_fk_original_repo FOREIGN KEY (original_repo)
    REFERENCES hub.repositories (id) ON UPDATE CASCADE ON DELETE CASCADE,
  CONSTRAINT forks_fk_forked_repo FOREIGN KEY (forked_repo)
    REFERENCES hub.repositories (id) ON UPDATE CASCADE ON DELETE CASCADE
)
WITH (
  OIDS=FALSE
);

COMMENT ON TABLE hub.forks IS 'Stores fork relationships between repositories.';
COMMENT ON COLUMN hub.forks.original_repo IS 'The ID of the original repository from which was forked.';
COMMENT ON COLUMN hub.forks.forked_repo IS 'The ID of the repository which is the fork.';
